/* ###*B*###
 *
 * ERIKA Enterprise - a tiny RTOS for small microcontrollers
 * 
 * Copyright (C) 2002-2018 Evidence Srl
 * 
 * This file is part of ERIKA Enterprise.
 * 
 * See LICENSE file.
 *
 * ###*E*### */

/***************************************************************************
 *
 * This file is generated by RT-Druid.
 * Please do not modify it.
 *
 **************************************************************************/

#ifndef OS_EE_RTD_APPLCFG_H
#define OS_EE_RTD_APPLCFG_H

/***************************************************************************
 *
 * OS Configuration
 *
 **************************************************************************/
#include "ee_oscfg.h"

#if (defined(__cplusplus))
extern "C" {
#endif

/***************************************************************************
 *
 * Version Check
 *
 **************************************************************************/
#define OS_EE_RTD_GEN_VERSION 12345

/***************************************************************************
 *
 * Arrays size
 *
 **************************************************************************/
#define OSEE_TASK_ARRAY_SIZE      (6U)
#define OSEE_SN_ARRAY_SIZE        (6U)
#define OSEE_STACK_ARRAY_SIZE     (7U)
#define OSEE_COUNTERS_ARRAY_SIZE  (1U)
#define OSEE_ALARMS_ARRAY_SIZE    (4U)

/***************************************************************************
 *
 * TASKs declaration
 *
 **************************************************************************/
#define SystemInitTask (1U)
#define Task_Bsw_100Ms (2U)
#define Task_Bsw_10Ms (3U)
#define Task_Bsw_5Ms (4U)
#define Task_Asw_5Ms (5U)

/***************************************************************************
 *
 * Stack Size declaration
 *
 **************************************************************************/
#define osEE_task_stack_1_StackSize (1024U)
#define osEE_task_stack_2_StackSize (512U)
#define osEE_task_stack_3_StackSize (512U)
#define osEE_task_stack_4_StackSize (512U)
#define osEE_task_stack_5_StackSize (512U)
#define osEE_task_stack_6_StackSize (512U)

/***************************************************************************
 *
 * RESOURCEs Macro Declaration
 *
 **************************************************************************/

/***************************************************************************
 *
 * COUNTERs Macro Declaration
 *
 **************************************************************************/
#define SystemTimer (0U)

/***************************************************************************
 *
 * ALARMs Declaration
 *
 **************************************************************************/
#define Alarm_Bsw_100Ms (0U)
#define Alarm_Bsw_10Ms (1U)
#define Alarm_Bsw_5Ms (2U)
#define Alarm_Asw_5Ms (3U)

/***************************************************************************
 *
 * Schedule Tables Declaration
 *
 **************************************************************************/

/***************************************************************************
 *
 * EVENTs declaration
 *
 **************************************************************************/

/***************************************************************************
 *
 * AppMode Declaration
 *
 **************************************************************************/



#if (defined(__cplusplus))
}
#endif
/***************************************************************************
 *
 * End
 *
 **************************************************************************/

#endif /* OS_EE_RTD_APPLCFG_H */
